complexType "MarginCollateral"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-collateral-processes-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | (pendingCollateral[1..2], heldCollateral[0..2]) | heldCollateral[1..2]
</...>

Content Model Elements (3):

  heldCollateral (defined in MarginCollateral complexType), heldCollateral (defined in MarginCollateral complexType), | pendingCollateral

All Direct / Indirect Based Elements (3):

  segregatedIndependentAmount (in collateral defined in MarginDetails.model group),
  segregatedIndependentAmount (in collateral defined in MarginDetails.model group),
  variationMargin (in collateral defined in MarginDetails.model group)

Known Usage Locations

- As direct type of elements (3):
  segregatedIndependentAmount (in collateral defined in MarginDetails.model group),
  segregatedIndependentAmount (in collateral defined in MarginDetails.model group),
  variationMargin (in collateral defined in MarginDetails.model group)

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="MarginCollateral"> <xsd:choice> <xsd:sequence> <xsd:element maxOccurs="2" name="pendingCollateral" type="PendingCollateral"/> <xsd:element maxOccurs="2" minOccurs="0" name="heldCollateral" type="HeldCollateral"/> </xsd:sequence> <xsd:element maxOccurs="2" name="heldCollateral" type="HeldCollateral"/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
heldCollateral

  Type: | HeldCollateral, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="2" minOccurs="0" name="heldCollateral" type="HeldCollateral"/>

heldCollateral

  Type: | HeldCollateral, complex content

  held collateral
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="2" name="heldCollateral" type="HeldCollateral"/>

pendingCollateral

  Type: | PendingCollateral, complex content

  pending collateral
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="2" name="pendingCollateral" type="PendingCollateral"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.